# Interface PointJson

Defines the JSON formats of the point and spatial reference objects. See https://developers.arcgis.com/web-map-specification/objects/point_geometry/. See https://developers.arcgis.com/web-map-specification/objects/point_geometry/.

interface PointJson {
m?: number;
spatialReference?: SpatialReferenceJson;
x: string | number;
y: string | number;
z?: string | number;
}

#### Hierarchy (view full)

- GeometryJsonBase
  - PointJson

#####
Index

### Properties

m?
spatialReference?
x
y
z?

##
Properties

### `Optional` m

m?: number

M coordinate which contains measures used for linear referencing.

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

The spatial reference can be defined using a well-known ID (WKID) or well-known text (WKT).

Inherited from GeometryJsonBase.spatialReference

### x

x: string | number

X coordinate which is measured along the east/west axis.

### y

y: string | number

Y coordinate which is measured along the north/south axis.

### `Optional` z

z?: string | number

Z coordinate which measures height or elevation.